public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/spyder/
Date: Wed, 13 Mar 2024 08:42:47 +0000 (UTC)	[thread overview]
Message-ID: <1710319328.3049ff5903c6285231b82b43f51e3aa24549249d.andrewammerlaan@gentoo> (raw)

commit:     3049ff5903c6285231b82b43f51e3aa24549249d
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 13 08:42:08 2024 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Mar 13 08:42:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3049ff59

dev-python/spyder: add 5.5.2

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/spyder/Manifest            |   2 +
 dev-python/spyder/spyder-5.5.2.ebuild | 192 ++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

diff --git a/dev-python/spyder/Manifest b/dev-python/spyder/Manifest
index 052c4cc443f8..7d3a327c5757 100644
--- a/dev-python/spyder/Manifest
+++ b/dev-python/spyder/Manifest
@@ -1,4 +1,6 @@
 DIST spyder-5.5.1.gh.tar.gz 16254673 BLAKE2B 15c10994abb851048fd5386ef2ae776cc2a9ace6ca4efd4418c393ba2dd98d23ed842447e95cfce26ccac802ddfa8669839024cf6d9fdcd0ce63fead0d1e8246 SHA512 bb55cd29e0e5712152b44e3e11aa83c13396c9ff965239e86a07cc2ab20bdcc0aa23b202eb07839baa911e515917b7e3bf1ddc970ce446bff84655145751ee94
+DIST spyder-5.5.2.gh.tar.gz 16254498 BLAKE2B 792849e731af17a04b6cfdd3c26d3860c51de89c1dc6ba2f85649d5442805f7cb5a8887900f491e352b34bc0024e690bf990fe67fbd32b265bb8ccf0e22178c2 SHA512 551805e351f0fd1af695a6bd5582ed71bcd1257618d07464ede44a648de4f95bbb063ed4026627561803b0a2c7e714d0e8db126621532106191f54a44d16d72d
 DIST spyder-6.0.0_alpha4.gh.tar.gz 15503538 BLAKE2B ee896fe2c3c2afd464a8c86204f770ef08ff2fdfc68f7431d2706f76516b6e2b31c9cda8df3236cb3b85799d67f983fbbbfcdc92400a2a88f1efdcd166622f50 SHA512 8ff36feecf6ce99d90ec07fc0cc3ecab075af4e36d64ba650316a46d1f79ca1a08ca7eb2b48dee6e5eddaaafaff14445f0b687742e9a439c3e4def098e489879
 DIST spyder-docs-0aa81d44ec6490c155be1bb1acca0a27328b12e0.gh.tar.gz 94895731 BLAKE2B 468412372bf2f70f838fa89dc1b88997fa2d9d92e36d6a5abac736b6b5f2782f25121b18b876c7c6e2af9d7eda433aaccd017c2e8c8c06a223420f0ce9684fc1 SHA512 9ac0f930a1a864e81e4181f101449a6506728d0d89254409a58e68bc17a3de39f4d1bf329f11da433d8ee4f3122faf3b337654d011263a70b253459e9562e923
+DIST spyder-docs-390681bc6557a051579337723c11b835d3855222.gh.tar.gz 94896996 BLAKE2B 62b7709c8a587271758a51169b269771b4b56bf32218ee3beda66c7dc7836bff89df518af61bcbb03a97374b18d4107c47f33661b388dfc92d66a93482642371 SHA512 9456ba1b891b9668006ecb1f2baa6ecfbe4df944d8bf0519c3bdf346a13b25cb1b4d272421e4b96593bc2dfc8bce2a4aa89380d2bda53b3d907f13c31a21abf7
 DIST spyder-docs-678f4e94542e25c8c0bfc1cb6abca94126f24fa6.gh.tar.gz 94896707 BLAKE2B 6912279a38da0be7bb368daa740bb801d8d2f7a31062178b8416d42644fdb3c0ec6a019ec7657e6e1e8e4273d29cdc7b7e36d85293b4f860edb2059fe27dc028 SHA512 3b8201256fa555b3b85bdfcfcfa17f08a42b438f141f9870ba5c807def63ed1b4304791209bc063833537036a2ff68897a40d610de9b662897cca7601ec09a44

diff --git a/dev-python/spyder/spyder-5.5.2.ebuild b/dev-python/spyder/spyder-5.5.2.ebuild
new file mode 100644
index 000000000000..3b250cf3344b
--- /dev/null
+++ b/dev-python/spyder/spyder-5.5.2.ebuild
@@ -0,0 +1,192 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 optfeature virtualx xdg
+
+# Commit of documentation to fetch
+DOCS_PV="390681bc6557a051579337723c11b835d3855222"
+
+DESCRIPTION="The Scientific Python Development Environment"
+HOMEPAGE="
+	https://www.spyder-ide.org/
+	https://github.com/spyder-ide/spyder/
+	https://pypi.org/project/spyder/
+"
+SRC_URI="
+	https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+	https://github.com/spyder-ide/${PN}-docs/archive/${DOCS_PV}.tar.gz -> ${PN}-docs-${DOCS_PV}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	>=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/chardet-2.0.0[${PYTHON_USEDEP}]
+	>=dev-util/cookiecutter-1.6.0[${PYTHON_USEDEP}]
+	>=dev-python/diff-match-patch-20181111[${PYTHON_USEDEP}]
+	>=dev-python/intervaltree-3.0.2[${PYTHON_USEDEP}]
+	>=dev-python/jellyfish-0.7[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+	>=dev-python/keyring-17.0.0[${PYTHON_USEDEP}]
+	>=dev-python/nbconvert-4.0[${PYTHON_USEDEP}]
+	>=dev-python/numpydoc-0.6.0[${PYTHON_USEDEP}]
+	>=dev-python/pexpect-4.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pickleshare-0.4[${PYTHON_USEDEP}]
+	>=dev-python/psutil-5.3[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+	>=dev-python/pylint-venv-3.0.2[${PYTHON_USEDEP}]
+	>=dev-python/python-lsp-black-2.0.0[${PYTHON_USEDEP}]
+	<dev-python/python-lsp-black-3[${PYTHON_USEDEP}]
+	>=dev-python/pyls-spyder-0.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pyxdg-0.26[${PYTHON_USEDEP}]
+	>=dev-python/pyzmq-24.0.0[${PYTHON_USEDEP}]
+	>=dev-python/qdarkstyle-3.2[${PYTHON_USEDEP}]
+	<dev-python/qdarkstyle-3.3[${PYTHON_USEDEP}]
+	>=dev-python/qstylizer-0.2.2[${PYTHON_USEDEP}]
+	>=dev-python/qtawesome-1.2.1[${PYTHON_USEDEP}]
+	>=dev-python/qtconsole-5.5.1[${PYTHON_USEDEP}]
+	<dev-python/qtconsole-5.6.0[${PYTHON_USEDEP}]
+	>=dev-python/QtPy-2.1.0[${PYTHON_USEDEP},pyqt5,svg,webengine]
+	>=sci-libs/rtree-0.9.7[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-0.6.6[${PYTHON_USEDEP}]
+	>=dev-python/spyder-kernels-2.5.1[${PYTHON_USEDEP}]
+	<dev-python/spyder-kernels-2.6.0[${PYTHON_USEDEP}]
+	>=dev-python/textdistance-4.2.0[${PYTHON_USEDEP}]
+	>=dev-python/three-merge-0.1.1[${PYTHON_USEDEP}]
+	>=dev-python/watchdog-0.10.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-python/cython[${PYTHON_USEDEP}]
+		dev-python/flaky[${PYTHON_USEDEP}]
+		dev-python/matplotlib[tk,${PYTHON_USEDEP}]
+		dev-python/pandas[${PYTHON_USEDEP}]
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+		dev-python/pytest-order[${PYTHON_USEDEP}]
+		dev-python/pytest-qt[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+		dev-python/pyyaml[${PYTHON_USEDEP}]
+		dev-python/QtPy[${PYTHON_USEDEP},pyside2,pyqt5]
+		dev-python/scipy[${PYTHON_USEDEP}]
+		dev-python/sympy[${PYTHON_USEDEP}]
+	)"
+
+# Based on the courtesy of Arfrever
+# This patch removes a call to update-desktop-database during build
+# This fails because access is denied to this command during build
+PATCHES=(
+	"${FILESDIR}/${PN}-5.0.0-build.patch"
+	"${FILESDIR}/${PN}-5.2.0-doc-theme-renamed.patch"
+)
+
+DOCS=(
+	"AUTHORS.txt"
+	"Announcements.md"
+	"CHANGELOG.md"
+	"CODE_OF_CONDUCT.md"
+	"CONTRIBUTING.md"
+	"NOTICE.txt"
+	"README.md"
+	"RELEASE.md"
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/doc \
+	dev-python/sphinx-panels \
+	dev-python/pydata-sphinx-theme \
+	dev-python/sphinx-multiversion
+
+python_prepare_all() {
+	# move docs into workdir
+	mv ../spyder-docs-${DOCS_PV}* docs || die
+
+	# these dependencies are packaged separately:
+	#    dev-python/spyder-kernels,
+	#    dev-python/python-lsp-server,
+	#    dev-python/qdarkstyle
+	rm -r external-deps/* || die
+	# runs against things packaged in external-deps dir
+	rm conftest.py || die
+
+	# Do not depend on pyqt5<5.16, this dependency is carried by QtPy[pyqt5]
+	# Do not depend on pyqtwebengine<5.16, this dependency is carried by QtPy[webengine]
+	# Do not depend on parso and jedi, this is dependency is carried in python-lsp-server
+	# Do not depend on python-lsp-server, this dependency is carried in pyls-spyder
+	# Do not depend on ipython, this dependency is carried in spyder-kernels
+	# The explicit version requirements only make things more complicated, if e.g.
+	# pyls-spyder gains compatibility with a newer version of python-lsp-server
+	# in a new release it will take time for this information to propagate into
+	# the next spyder release. So just remove the dependency and let the other
+	# ebuilds handle the version requirements to speed things up and prevent
+	# issues such as Bug 803269.
+	sed -i \
+		-e "/'pyqt5[ 0-9<=>.,]*',/d" \
+		-e "/'pyqtwebengine[ 0-9<=>.,]*',/d" \
+		-e "/'python-lsp-server\[all\][ 0-9<=>.,]*',/d" \
+		-e "/'parso[ 0-9<=>.,]*',/d" \
+		-e "/'jedi[ 0-9<=>.,]*',/d" \
+		-e "/'pylint[ 0-9<=>.,]*',/d" \
+			setup.py || die
+		# -e "/'ipython[ 0-9<=>.,]*',/d" \
+
+	sed -i \
+		-e "/^PYLS_REQVER/c\PYLS_REQVER = '>=0.0.1'" \
+		-e "/^PYLSP_REQVER/c\PYLSP_REQVER = '>=0.0.1'" \
+		-e "/^PARSO_REQVER/c\PARSO_REQVER = '>=0.0.1'" \
+		-e "/^JEDI_REQVER/c\JEDI_REQVER = '>=0.0.1'" \
+		-e "/^PYLINT_REQVER/c\PYLINT_REQVER = '>=0.0.1'" \
+			spyder/dependencies.py || die
+		# -e "/^IPYTHON_REQVER/c\IPYTHON_REQVER = '>=0.0.1'" \
+
+	# do not check deps, fails because we removed dependencies above
+	sed -i -e 's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
+		spyder/tests/test_dependencies_in_sync.py || die
+
+	# can't check for update, need network
+	rm spyder/workers/tests/test_update.py || die
+
+	# skip online test
+	rm spyder/widgets/github/tests/test_github_backend.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+# Calling pytest directly somehow passes the pytest arguments to spyder
+# causing an invalid argument error
+python_test() {
+	virtx "${EPYTHON}" runtests.py
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	optfeature "2D/3D plotting in the Python and IPython consoles" dev-python/matplotlib
+	optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
+	optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
+	optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
+	optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
+	optfeature "Run Cython files in the IPython console" dev-python/cython
+	optfeature "The hdf5/h5py plugin" dev-python/h5py
+	optfeature "The line profiler plugin" dev-python/spyder-line-profiler
+	optfeature "Vim key bindings" dev-python/spyder-vim
+	optfeature "Unittest support" dev-python/spyder-unittest
+	optfeature "System terminal inside spyder" dev-python/spyder-terminal
+	optfeature "Jupyter notebook support" dev-python/spyder-notebook
+	# spyder-memory-profiler is not compatible with spyder-5.2+ yet
+	# optfeature "The memory profiler plugin" dev-python/spyder-memory-profiler
+	# spyder-reports not yet updated to >=spyder-4.0.0
+	# optfeature "Markdown reports using Pweave" dev-python/spyder-reports
+	# Plugins with no release yet:
+	# optfeature "Manage virtual environments and packages" dev-python/spyder-env-manager
+	# optfeature "VCS (e.g. git) integration" dev-python/spyder-vcs
+}


             reply	other threads:[~2024-03-13  8:42 UTC|newest]

Thread overview: 132+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-13  8:42 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-24  8:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/spyder/ Andrew Ammerlaan
2024-09-24  8:40 Andrew Ammerlaan
2024-09-10  9:31 Andrew Ammerlaan
2024-09-03  7:55 Andrew Ammerlaan
2024-09-03  7:55 Andrew Ammerlaan
2024-08-27  7:36 Andrew Ammerlaan
2024-08-24 19:24 Andrew Ammerlaan
2024-08-24 19:24 Andrew Ammerlaan
2024-08-10  8:45 Andrew Ammerlaan
2024-08-10  8:45 Andrew Ammerlaan
2024-07-20 11:59 Andrew Ammerlaan
2024-07-20 11:59 Andrew Ammerlaan
2024-06-19 11:00 Andrew Ammerlaan
2024-06-19 11:00 Andrew Ammerlaan
2024-06-12 10:20 Andrew Ammerlaan
2024-05-17 14:13 Andrew Ammerlaan
2024-05-17 14:13 Andrew Ammerlaan
2024-04-24 12:47 Andrew Ammerlaan
2024-04-24 12:47 Andrew Ammerlaan
2024-04-10  8:08 Andrew Ammerlaan
2024-04-10  8:08 Andrew Ammerlaan
2024-03-18  8:22 Andrew Ammerlaan
2024-03-18  8:22 Andrew Ammerlaan
2024-03-03 18:58 Andrew Ammerlaan
2024-02-26 14:25 Michał Górny
2024-02-08 13:37 Andrew Ammerlaan
2024-02-08 13:37 Andrew Ammerlaan
2024-02-07  9:59 Andrew Ammerlaan
2023-12-30 18:35 Michał Górny
2023-12-29 13:42 Arthur Zamarin
2023-12-19 10:35 Andrew Ammerlaan
2023-12-19 10:35 Andrew Ammerlaan
2023-11-11  9:26 Andrew Ammerlaan
2023-11-08  9:35 Andrew Ammerlaan
2023-09-07 15:43 Andrew Ammerlaan
2023-09-07 15:43 Andrew Ammerlaan
2023-08-30  7:51 Andrew Ammerlaan
2023-07-24 11:34 Michał Górny
2023-07-19  9:40 Andrew Ammerlaan
2023-06-20 18:40 Andrew Ammerlaan
2023-04-07  8:22 Andrew Ammerlaan
2023-04-05 19:23 Andrew Ammerlaan
2023-01-27 20:10 Michał Górny
2023-01-19  7:39 Andrew Ammerlaan
2023-01-12 11:13 Andrew Ammerlaan
2022-12-30 11:47 Andrew Ammerlaan
2022-11-07 21:53 Andrew Ammerlaan
2022-09-05 12:34 Andrew Ammerlaan
2022-09-05 12:34 Andrew Ammerlaan
2022-08-30 17:32 Andrew Ammerlaan
2022-08-30 17:32 Andrew Ammerlaan
2022-07-19 18:44 Andrew Ammerlaan
2022-06-01 11:49 Andrew Ammerlaan
2022-05-25  9:43 Andrew Ammerlaan
2022-05-23 17:55 Andrew Ammerlaan
2022-05-23 17:55 Andrew Ammerlaan
2022-05-11  9:41 Andrew Ammerlaan
2022-05-11  9:41 Andrew Ammerlaan
2022-03-31 14:31 Andrew Ammerlaan
2022-01-23 10:52 Andrew Ammerlaan
2022-01-21 19:22 Andrew Ammerlaan
2022-01-21 19:22 Andrew Ammerlaan
2021-12-15 17:12 Andrew Ammerlaan
2021-12-14 17:18 Andrew Ammerlaan
2021-12-14 17:18 Andrew Ammerlaan
2021-11-06 16:24 Andrew Ammerlaan
2021-11-06 16:20 Andrew Ammerlaan
2021-10-04  8:33 Andrew Ammerlaan
2021-09-27 19:28 Andrew Ammerlaan
2021-09-16 17:49 Andrew Ammerlaan
2021-09-16 17:49 Andrew Ammerlaan
2021-09-13  7:31 Andrew Ammerlaan
2021-09-13  7:31 Andrew Ammerlaan
2021-09-05  9:54 Andrew Ammerlaan
2021-09-05  9:54 Andrew Ammerlaan
2021-09-02  6:33 Andrew Ammerlaan
2021-09-02  6:33 Andrew Ammerlaan
2021-08-05  7:45 Andrew Ammerlaan
2021-08-05  7:45 Andrew Ammerlaan
2021-08-02  8:20 Andrew Ammerlaan
2021-07-23 13:49 Andrew Ammerlaan
2021-07-02 11:49 Andrew Ammerlaan
2021-06-23 20:12 Andrew Ammerlaan
2021-06-23 20:12 Andrew Ammerlaan
2021-06-12 10:25 Andrew Ammerlaan
2021-06-11 18:31 Andrew Ammerlaan
2021-06-11 18:31 Andrew Ammerlaan
2021-06-05 10:47 Andrew Ammerlaan
2021-05-22  9:11 Andrew Ammerlaan
2021-05-20 11:57 Andrew Ammerlaan
2021-05-19 18:42 Andrew Ammerlaan
2021-05-19 18:42 Andrew Ammerlaan
2021-04-16  9:55 Joonas Niilola
2021-03-25 13:58 Joonas Niilola
2021-03-25 13:58 Joonas Niilola
2021-03-21 13:35 Joonas Niilola
2021-03-20 10:46 Joonas Niilola
2021-03-20 10:46 Joonas Niilola
2021-03-11  7:18 Joonas Niilola
2020-11-17 16:30 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-09-18 15:53 Michał Górny
2020-09-15  8:09 Joonas Niilola
2020-08-20  6:37 Andrey Grozin
2020-07-17  4:14 Matt Turner
2020-05-26 20:43 Matt Turner
2020-03-30 11:27 Joonas Niilola
2020-03-30 11:27 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-02-28 16:12 Andrey Grozin
2020-02-19  7:34 Joonas Niilola
2019-12-04 17:15 Michał Górny
2019-12-04 17:15 Michał Górny
2019-11-17 21:12 Davide Pesavento
2019-05-05  7:15 Michał Górny
2018-09-25 10:19 Andrey Grozin
2018-04-29  7:35 Michał Górny
2017-09-24 10:28 Andrey Grozin
2017-09-19 11:57 Andrey Grozin
2017-09-19 11:55 Andrey Grozin
2017-08-15 20:10 Andreas Sturmlechner
2017-08-15 20:10 Andreas Sturmlechner
2017-08-15 20:10 Andreas Sturmlechner
2016-12-18  4:47 Andrey Grozin
2016-02-23 11:15 Andrey Grozin
2016-02-23  9:28 Patrice Clement
2016-02-23  9:28 Patrice Clement
2016-02-23  8:20 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1710319328.3049ff5903c6285231b82b43f51e3aa24549249d.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox